%define upstream_name Email-MIME-Attachment-Stripper
%define upstream_version 1.317

Name:           perl-%{upstream_name}
Version:        %perl_convert_version %{upstream_version}
Release:        %mkrel 8
Summary:        Strip the attachments from a mail
License:        GPL or Artistic
Group:          Development/Perl
URL:            http://search.cpan.org/dist/%{upstream_name}
Source:         http://www.cpan.org/modules/by-module/Email/%{upstream_name}-%{upstream_version}.tar.gz
Requires:       perl(Email::Simple::Creator)

BuildRequires:  perl(Capture::Tiny)
BuildRequires:  perl(Email::Address)
BuildRequires:  perl(Email::MIME)
BuildRequires:  perl(Email::MIME::Modifier)
BuildRequires:  perl(MIME::Types)
BuildArch:      noarch


%description
Given a Email::MIME object, detach all attachments from the message. These are
then available separately.

%prep
%setup -q -n %{upstream_name}-%{upstream_version} 

%build
%__perl Makefile.PL INSTALLDIRS=vendor
%make

%check
%__make test

%install
%make_install

%files
%doc README Changes META.yml
%{perl_vendorlib}/Email
%{_mandir}/*/*


%changelog
* Wed Feb 12 2020 umeabot <umeabot> 1.317.0-8.mga8
+ Revision: 1494430
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%makeinstall_std

* Wed Sep 19 2018 umeabot <umeabot> 1.317.0-7.mga7
+ Revision: 1267846
- Mageia 7 Mass Rebuild

* Sun Jun 19 2016 pterjan <pterjan> 1.317.0-6.mga6
+ Revision: 1026906
- Rebuild for perl 5.22.2

* Mon Feb 08 2016 umeabot <umeabot> 1.317.0-5.mga6
+ Revision: 943247
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 1.317.0-4.mga5
+ Revision: 747816
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 1.317.0-3.mga5
+ Revision: 684621
- Mageia 5 Mass Rebuild

* Sat Oct 19 2013 umeabot <umeabot> 1.317.0-2.mga4
+ Revision: 533983
- Mageia 4 Mass Rebuild

* Sun Sep 08 2013 sander85 <sander85> 1.317.0-1.mga4
+ Revision: 475955
- update to 1.317

* Sun Jan 13 2013 umeabot <umeabot> 1.316.0-2.mga3
+ Revision: 366799
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sun Jan 23 2011 jquelin <jquelin> 1.316.0-1.mga1
+ Revision: 33735
- mageia rebuild
- imported package perl-Email-MIME-Attachment-Stripper


* Wed May 20 2009 Guillaume Rousse <guillomovitch@mandriva.org> 1.316.0-1mdv2010.0
+ Revision: 377828
- new release
- standardized version

* Mon Aug 11 2008 Guillaume Rousse <guillomovitch@mandriva.org> 1.31.5-1mdv2009.0
+ Revision: 270895
- new version

* Thu Jul 31 2008 Thierry Vignaud <tv@mandriva.org> 1.31.4-3mdv2009.0
+ Revision: 256756
- rebuild
- kill re-definition of %%buildroot on Pixel's request

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

* Sat Nov 17 2007 Guillaume Rousse <guillomovitch@mandriva.org> 1.31.4-1mdv2008.1
+ Revision: 109610
- new version (upstream version 1.314)


* Sun Jan 21 2007 Guillaume Rousse <guillomovitch@mandriva.org> 1.31.3-1mdv2007.0
+ Revision: 111274
- fix build dependencies
- Import perl-Email-MIME-Attachment-Stripper

* Sun Jan 21 2007 Guillaume Rousse <guillomovitch@mandriva.org> 1.31.3-1mdv2007.1
- first mdv release

